package epson.print;

import android.os.Parcel;

import com.felipecsl.asymmetricgridview.library.model.AsymmetricItem;

public class IconTextArrayItem implements AsymmetricItem {
    int AppDiscId;
    String ClassName;
    String PackageName;
    String appId;
    private int columnSpan;
    String googleStoreUrl;
    int imageID;
    boolean isInstall;
    boolean isRemoteAvailable;
    String key;
    int menuId;
    private int rowSpan;
    boolean showMenu;

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
    }

    IconTextArrayItem() {
        imageID = 0;
        menuId = 0;
        showMenu = true;
        columnSpan = 1;
        rowSpan = 1;
    }

    IconTextArrayItem(int i, int i2, String str) {
        imageID = i;
        menuId = i2;
        PackageName = BuildConfig.APPLICATION_ID;
        ClassName = str;
        isRemoteAvailable = true;
        showMenu = true;
        columnSpan = 1;
        rowSpan = 1;
    }

    public int getColumnSpan() {
        return columnSpan;
    }

    public int getRowSpan() {
        return rowSpan;
    }

    public void setColumnSpan(int i) {
        columnSpan = i;
    }

    public void setRowSpan(int i) {
        rowSpan = i;
    }
}
